<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>ycbcr2rgb</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="xs2im.html">&lt;&lt; xs2im</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a> &gt; ycbcr2rgb</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">ycbcr2rgb</h1>
    <p class="refpurpose">Convert a YCbCr image to the equivalent RGB image.</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">RGB</span><span class="default"> = </span><span class="functionid">ycbcr2rgb</span><span class="default">(</span><span class="default">YCC</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">YCC :</span>
      <dd><p class="para">A YCbCr image (hypermat). The dimension of YCbCr should be M x N x 3 , the type should be double and the element value range should be [0,1].</p></dd></dt>
   <dt><span class="term">RGB :</span>
      <dd><p class="para">Output image, which has the same size as YCC and type of double.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">ycbcr2rgb convert a RGB image to the equivalent YCbCr image using:</p>
   <p class="para">R = Y + 1.403*(Cr - 0.5)</p>
   <p class="para">G = Y - 0.344*(Cr - 0.5) - 0.714*(Cb - 0.5)</p>
   <p class="para">B = Y + 1.773*(Cb - 0.5)</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">RGB</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/baboon.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">YCC</span> <span class="scilaboperator">=</span> <span class="scilabid">rgb2ycbcr</span><span class="scilabopenclose">(</span><span class="scilabid">RGB</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">RGB</span> <span class="scilaboperator">=</span> <span class="scilabid">ycbcr2rgb</span><span class="scilabopenclose">(</span><span class="scilabid">YCC</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">RGB</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="rgb2gray.html" class="link">rgb2gray</a></li>
   <li class="member"><a href="mat2gray.html" class="link">mat2gray</a></li>
   <li class="member"><a href="rgb2hsv.html" class="link">rgb2hsv</a></li>
   <li class="member"><a href="hsv2rgb.html" class="link">hsv2rgb</a></li>
   <li class="member"><a href="rgb2ycbcr.html" class="link">rgb2ycbcr</a></li>
   <li class="member"><a href="rgb2ntsc.html" class="link">rgb2ntsc</a></li>
   <li class="member"><a href="ntsc2rgb.html" class="link">ntsc2rgb</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="xs2im.html">&lt;&lt; xs2im</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
